<?php

/**
 * Template Name: Highslide default gallery
 * Library URI: http://highslide.com
 * Description: File Gallery template that loads Highslide javascript library in default gallery thumbnails.
 * Version: 1.0
 * Author: Rob Lund
 * Author URI: http://electrolund.com
 */

	$starttag = 'div';
	$cleartag = "\n<br class='clear' />\n";
	$starttag_class = 'highslide-gallery';
	$linkto = 'file'; // highslide functionality depends on gallery linking to file; override shortcode setting

	if( isset($overriding) && true === $overriding )
		return;
?>

<dl class="gallery-item<?php echo $endcol; ?>">
	<dt class="gallery-icon">
	<?php if( ! empty($link) ) : ?>
		<a href="<?php echo $link; ?>" rel="highslide" class="highslide">
	<?php endif; ?>
			<img src="<?php echo $thumb_link; ?>" width="<?php echo $thumb_width; ?>" height="<?php echo $thumb_height; ?>" title="<?php echo $description; ?>" class="attachment-<?php echo $size ?><?php if( ! empty($image_class) ){ echo ' ' . $image_class;} ?>" alt="<?php if( $thumb_alt ){ echo $thumb_alt; }else{ echo $title; }?><?php ?>" />
	<?php if( ! empty($link) ) : ?>
		</a>
    <div class="highslide-caption">
        <?php echo $description; ?>
    </div>
    <div class="highslide-heading">
      <?php if( empty($caption) ) {echo $title;} else {echo $caption;} ?>
    </div>
	<?php endif; ?>
	</dt>
	<dd class="gallery-caption">
		<?php if( empty($caption) ) {echo $title;} else {echo $caption;} ?>
	</dd>
</dl>